////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.model;

/**
 * Interface representing a position with X and Y coordinates.
 */
public interface IntPosition {

    /**
     * Returns the X coordinate of this position.
     *
     * @return the X coordinate.
     */
    int getX();

    /**
     * Returns the Y coordinate of this position.
     *
     * @return the Y coordinate.
     */
    int getY();
}
